- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions

# QImageIOPlugin Class Reference

Search for all occurrences

## Detailed Description

Definition at line 126 of file qimageiohandler.h.

`#include <qimageiohandler.h>`

Inheritance diagram for QImageIOPlugin:
[legend]

List of all members.

## Public Types
enum | Capability { CanRead = 0x1, CanWrite = 0x2, CanReadIncremental = 0x4 }
## Public Member Functions
| QImageIOPlugin (QObject *parent=0)
virtual | ~QImageIOPlugin ()
virtual Capabilities | capabilities (QIODevice *device, const QByteArray &format) const =0
virtual QStringList | keys () const =0
virtual QImageIOHandler * | create (QIODevice *device, const QByteArray &format=QByteArray()) const =0

## Member Enumeration Documentation

enum Capability

Search for all occurrences

Enumerator:

  CanRead | Search for all occurrences
  CanWrite | Search for all occurrences
  CanReadIncremental | Search for all occurrences

Definition at line 134 of file qimageiohandler.h.

                        {
            CanRead = 0x1,
            CanWrite = 0x2,
            CanReadIncremental = 0x4
        };

## Constructor & Destructor Documentation

QImageIOPlugin | ( | QObject * | parent = `0` | ) | `[explicit]`

virtual ~QImageIOPlugin | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual Capabilities capabilities | ( | QIODevice * | device,
|  | const QByteArray & | format
| ) |  | const `[pure virtual]`

Search for all occurrences

virtual QStringList keys | ( |  | ) | const `[pure virtual]`

Search for all occurrences

Implements QFactoryInterface.

virtual QImageIOHandler* create | ( | QIODevice * | device,
|  | const QByteArray & | format = `QByteArray()`
| ) |  | const `[pure virtual]`

Search for all occurrences

Implements QImageIOHandlerFactoryInterface.

The documentation for this class was generated from the following file:

- QtGui/qimageiohandler.h

QImageIOPlugin QImageIOPlugin QImageIOPlugin QImageIOPlugin QImageIOPlugin QImageIOPlugin QImageIOPlugin QImageIOPlugin QImageIOPlugin QImageIOPlugin
QImageIOPlugin QImageIOPlugin QImageIOPlugin QImageIOPlugin QImageIOPlugin QImageIOPlugin QImageIOPlugin QImageIOPlugin QImageIOPlugin QImageIOPlugin